<section id="order-tracking">
    <google-map height="100%" width="100%" [zoom]="zoom" [center]="center" [options]="options">
        <!-- <map-marker [position]="{ lat :center.lat, lng :center.lng }" [options]="options">
        </map-marker> -->
    </google-map>
    <div class="tracking-info">
        <ng-container *ngIf="TrackingSteps == 1">
            <div class="tracking-info_title1">Looking for your Item?</div>
            <div class="tracking-info_subtitle1">Enter the 10 digit deal code to track your order</div>
        </ng-container>
        <div *ngIf="TrackingSteps == 1 || TrackingSteps == 2">
            <input type="text" class="tracking-info_input" placeholder="Enter your deal code"
                oninput="this.value=this.value.replace(/[^0-9]/g,'');" [(ngModel)]="TrackingNumber"
                name="TrackingNumber" maxlength="12" (input)="changeTrackingNumber($event)" />
        </div>

        <ng-container *ngIf="TrackingSteps == 2">
            <div class="tracking-info_title2">Package not found</div>
            <div class="tracking-info_subtitle2">We didn't find any package that matches that tracking number</div>
        </ng-container>
        <ng-container *ngIf="TrackingSteps == 3 || TrackingSteps == 4">
            <div class="tracking-info_title2">Tracking Order Progress</div>
            <div class="tracking-info_subtitle2">{{TrackingNumber}}</div>
        </ng-container>

        <ng-container *ngIf="CurrentState == 3">
            <div style="margin-top: 1.5rem">
                <div class="tracking-info_title3">Your Order is on the way!</div>
                <div class="tracking-info_subtitle3">Your rider should be with you in 40 mins
                </div>
                <div class="delivery-person-info" style="margin-top:30px">
                    <div class="delivery-person-info_avatar" style="margin-right:1.5rem">
                        <ng-container *ngTemplateOutlet="userAvatar"></ng-container>
                    </div>
                    <span class="tracking-info_title3">{{TrackingDetails.OrderDetails?.RiderDetails?.RiderName ||
                        '--'}}</span>
                </div>
            </div>
        </ng-container>

        <ng-container *ngIf="TrackingSteps == 3">
            <div class="tracking-info_stepper" [ngStyle]="{'max-height': CurrentState == 3 ? '263px' : '400px'}">
                <div class="stepper_track-item">
                    <div class="tracking-dot" [ngClass]="{'item-success': CurrentState >=1 }">
                        <ng-container *ngTemplateOutlet="CurrentState <1 ? itemdot : itemSuccess; 
                        context: {color: CurrentState <1 && '#7987A1'}"></ng-container>
                    </div>
                    <span>Order Confirmed</span>
                    <span>{{CurrentState >=1 ? TrackingDetails.OrderUpdateDate : '--'}}</span>
                </div>
                <div class="stepper_track-item">
                    <div class="tracking-dot" [ngClass]="{'item-success': CurrentState >=2}">
                        <ng-container *ngTemplateOutlet="CurrentState <2 ? itemdot : itemSuccess;
                        context: {color: CurrentState <2 && '#7987A1'}"></ng-container>
                    </div>
                    <span>Ready for pickup</span>
                    <span>{{CurrentState >=2 ? TrackingDetails.OrderUpdateDate : '--'}}</span>
                </div>
                <div class="stepper_track-item">
                    <div class="tracking-dot" [ngClass]="{'item-success': CurrentState >=3}">
                        <ng-container *ngTemplateOutlet="CurrentState <3 ? itemdot : itemSuccess
                        context: {color: CurrentState <3 && '#7987A1'}"></ng-container>
                    </div>
                    <span>Order Dispatched</span>
                    <span>{{CurrentState >=3 ? TrackingDetails.OrderUpdateDate : '--'}}</span>
                </div>
                <div class="stepper_track-item" *ngIf="CurrentState <= 4">
                    <div class="tracking-dot" [ngClass]="{'item-success': CurrentState >=4}">
                        <ng-container *ngTemplateOutlet="CurrentState <4 ? itemdot : itemSuccess;
                        context: {color: CurrentState <4 && '#7987A1'}"></ng-container>
                    </div>
                    <span>Delivered</span>
                    <span>{{CurrentState >=4 ? TrackingDetails.OrderUpdateDate : '--'}}</span>
                </div>
                <div class="stepper_track-item" *ngIf="CurrentState == 5">
                    <div class="tracking-dot" [ngClass]="{'item-success': CurrentState == 5}">
                        <ng-container *ngTemplateOutlet="itemdot;
                        context: {color: '#dc3545'}"></ng-container>
                    </div>
                    <span>Cancelled</span>
                    <span>{{TrackingDetails.OrderUpdateDate || '--'}}</span>
                </div>
            </div>
        </ng-container>
        <ng-container *ngIf="TrackingSteps == 4">
            <div class="tracking-info_stepper">
                <div class="stepper_track-item">
                    <div class="tracking-dot item-success">
                        <ng-container *ngTemplateOutlet="locationMarker"></ng-container>
                    </div>
                    <span>{{TrackingDetails.MerchantDetails.MerchantDisplayName}}</span>
                    <span>{{TrackingDetails.MerchantDetails.MerchantAddress}}</span>
                </div>
                <div class="stepper_track-item">
                    <div class="tracking-dot item-success">
                        <ng-container *ngTemplateOutlet="radioCheck"></ng-container>
                    </div>
                    <span>Deal Code Status</span>
                    <span>{{TrackingDetails.DealcodeStatus}}</span>
                </div>
            </div>
        </ng-container>

    </div>
</section>

<ng-template #itemSuccess>
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <rect width="24" height="24" rx="12" fill="#0FBD70" />
        <path d="M16 8.66406L10.2857 15.3307L8 12.6641" stroke="white" stroke-linecap="round" stroke-linejoin="round" />
    </svg>
</ng-template>
<ng-template #itemdot let-value="color">
    <svg style="position: relative; left: 2.7px; top: 3px;" width="24" height="24" viewBox="0 0 24 24" fill="none"
        xmlns="http://www.w3.org/2000/svg">
        <path
            d="M20 10C20 15.5228 15.5228 20 10 20C4.47715 20 0 15.5228 0 10C0 4.47715 4.47715 0 10 0C15.5228 0 20 4.47715 20 10ZM6 10C6 12.2091 7.79086 14 10 14C12.2091 14 14 12.2091 14 10C14 7.79086 12.2091 6 10 6C7.79086 6 6 7.79086 6 10Z"
            [attr.fill]="value" /><!-- #7987A1 -->
    </svg>
</ng-template>
<ng-template #locationMarker>
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M12 2C8.13 2 5 5.13 5 9C5 13.17 9.42 18.92 11.24 21.11C11.64 21.59 12.37 21.59 12.77 21.11C14.58 18.92 19 13.17 19 9C19 5.13 15.87 2 12 2ZM12 11.5C10.62 11.5 9.5 10.38 9.5 9C9.5 7.62 10.62 6.5 12 6.5C13.38 6.5 14.5 7.62 14.5 9C14.5 10.38 13.38 11.5 12 11.5Z"
            fill="#189B62" />
    </svg>
</ng-template>
<ng-template #radioCheck>
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M12 2C6.48 2 2 6.48 2 12C2 17.52 6.48 22 12 22C17.52 22 22 17.52 22 12C22 6.48 17.52 2 12 2ZM12 20C7.58 20 4 16.42 4 12C4 7.58 7.58 4 12 4C16.42 4 20 7.58 20 12C20 16.42 16.42 20 12 20Z"
            fill="black" fill-opacity="0.54" />
        <path
            d="M12 17C14.7614 17 17 14.7614 17 12C17 9.23858 14.7614 7 12 7C9.23858 7 7 9.23858 7 12C7 14.7614 9.23858 17 12 17Z"
            fill="black" fill-opacity="0.54" />
    </svg>
</ng-template>

<ng-template #userAvatar>
    <svg width="42" height="42" viewBox="0 0 21 20" fill="none" xmlns="http://www.w3.org/2000/svg">
        <path
            d="M10.9984 1.66406C6.39837 1.66406 2.66504 5.3974 2.66504 9.9974C2.66504 14.5974 6.39837 18.3307 10.9984 18.3307C15.5984 18.3307 19.3317 14.5974 19.3317 9.9974C19.3317 5.3974 15.5984 1.66406 10.9984 1.66406ZM6.89004 15.2307C7.24837 14.4807 9.43171 13.7474 10.9984 13.7474C12.565 13.7474 14.7567 14.4807 15.1067 15.2307C13.9734 16.1307 12.5484 16.6641 10.9984 16.6641C9.44837 16.6641 8.02337 16.1307 6.89004 15.2307ZM16.2984 14.0224C15.1067 12.5724 12.215 12.0807 10.9984 12.0807C9.78171 12.0807 6.89004 12.5724 5.69837 14.0224C4.84837 12.9057 4.33171 11.5141 4.33171 9.9974C4.33171 6.3224 7.32337 3.33073 10.9984 3.33073C14.6734 3.33073 17.665 6.3224 17.665 9.9974C17.665 11.5141 17.1484 12.9057 16.2984 14.0224ZM10.9984 4.9974C9.38171 4.9974 8.08171 6.2974 8.08171 7.91406C8.08171 9.53073 9.38171 10.8307 10.9984 10.8307C12.615 10.8307 13.915 9.53073 13.915 7.91406C13.915 6.2974 12.615 4.9974 10.9984 4.9974ZM10.9984 9.16406C10.3067 9.16406 9.74837 8.60573 9.74837 7.91406C9.74837 7.2224 10.3067 6.66406 10.9984 6.66406C11.69 6.66406 12.2484 7.2224 12.2484 7.91406C12.2484 8.60573 11.69 9.16406 10.9984 9.16406Z"
            fill="#7987A1" />
    </svg>
</ng-template>